Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Reply
Message 1 of 2
CADAPLUS
241 Views, 1 Reply

DVB sample

Hi I'm trying to do a simple dialog box with VBA

(defun c:sample ()
(vl-load-com)
(vl-vbaload (findfile "test.dvb"))
;(vl-vbarun "something_here")
(princ)
)

How should I modify my dvb file?
Thanks for help
1 REPLY 1
Message 2 of 2
Anonymous
in reply to: CADAPLUS

Hi cadaplus,


Without knowing what is in your DVB file it's a bit hard to guess how
you should modify it.

However, first you should modify your lisp so that after the DVB file is
fixed the lisp can use it.


(defun c:sample ()
(vl-load-com)
(vl-vbaload (findfile "test.dvb")) ; The "findfile" is superfluous
; as the vl-vbaload will find the
; file if findfile is capable of
; finding it
(vl-vbarun "something_here")
(princ)
)


A better lisp function is:

(defun c:sample ()
(vl-load-com)
(If (findfile "test.dvb")
(vl-vbarun "test.dvb!something_here")
(Alert "Test.dvb not found")
)
(princ)
)


Assuming your DVB file has a form with the name "Form1" then the
"something_here" has to look like:


Sub something_here ()
Form1.Show
End Sub



Regards,


Laurie Comerford


cadaplus wrote:
> Hi I'm trying to do a simple dialog box with VBA (defun c:sample ()
> (vl-load-com) (vl-vbaload (findfile "test.dvb")) ;(vl-vbarun
> "something_here") (princ) ) How should I modify my dvb file? Thanks for
> help

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost